Bug 1593647 - EC2 CR create with invalid data -> uninitialized constant ComputeResourcesController::OVIRT
Summary: EC2 CR create with invalid data -> uninitialized constant ComputeResourcesCon...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: orabin
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-21 10:09 UTC by Lukáš Hellebrandt
Modified: 2019-10-07 17:19 UTC (History)
8 users (show)

Fixed In Version: foreman-1.19.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:27 UTC


Attachments (Terms of Use)
foreman-tail (39.76 KB, text/plain)
2018-06-21 10:09 UTC, Lukáš Hellebrandt
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:34 UTC
Foreman Issue Tracker 24053 None None None 2018-06-24 10:56:48 UTC

Description Lukáš Hellebrandt 2018-06-21 10:09:14 UTC
Created attachment 1453396 [details]
foreman-tail

Description of problem:
When creating a compute resource of type EC2 (with some made up values), I click submit and get the error message:
"""
Oops, we're sorry but something went wrong uninitialized constant ComputeResourcesController::OVIRT Did you mean? Ovirt
"""
However, EC2 shouldn't have anything to do with oVirt(?).
Traceback attached.
This is a regression against 6.3.
The resource is not created after this.

Version-Release number of selected component (if applicable):
Sat 6.4, tested with snap 8

How reproducible:
Deterministic

Steps to Reproduce:
1. Infrastructure -> Compute Resources -> Create
2. Select provider EC2, fill in some random values
3. Submit

Actual results:
Error message, traceback, resource not created

Expected results:
Error message about invalid values, nothing about oVirt.

Comment 3 orabin 2018-06-24 10:56:46 UTC
Created redmine issue https://projects.theforeman.org/issues/24053 from this bug

Comment 4 pm-sat@redhat.com 2018-06-24 12:15:19 UTC
Upstream bug assigned to orabin@redhat.com

Comment 5 pm-sat@redhat.com 2018-06-24 12:15:22 UTC
Upstream bug assigned to orabin@redhat.com

Comment 6 pm-sat@redhat.com 2018-06-24 18:15:04 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/24053 has been resolved.

Comment 11 Lukáš Hellebrandt 2019-01-08 10:46:15 UTC
Verified with EC2 and OpenStack on Sat 6.5 snap 10.

Loading regions with incorrect credentials now results in a pop up box saying "Unable to save: AuthFailure => AWS was not able to validate the provided access credentials".
Submitting with incorrect credentials now results in traceback: "Fog::Compute::AWS::Error: AuthFailure => AWS was not able to validate the provided access credentials" and a pop up box saying "Error while trying to create resource: AuthFailure => AWS was not able to validate the provided access credentials".
The same with correct credentials completes the action successfully.
Similarly for OpenStack.

Comment 14 errata-xmlrpc 2019-05-14 12:37:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.